<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__prot__functions__ppu__sl" kind="group">
    <compoundname>group_prot_functions_ppu_sl</compoundname>
    <title>PPU Slave (SL) v1 Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__prot__functions__ppu__sl_1ga78e1c5ed40456fede9e3babe88325239" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_ConfigPpuFixedSlMasterStruct</definition>
        <argsstring>(PERI_GR_PPU_SL_Type *base, const cy_stc_ppu_sl_cfg_t *config)</argsstring>
        <name>Cy_Prot_ConfigPpuFixedSlMasterStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type">PERI_GR_PPU_SL_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ppu__sl__cfg__t">cy_stc_ppu_sl_cfg_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Configures a Fixed Peripheral Slave Protection Unit (PPU SL) master protection struct with its protection attributes. </para>        </briefdescription>
        <detaileddescription>
<para>This function configures the master struct governing the corresponding slave struct pair. It is a mechanism to protect the slave PPU SL struct. Since the memory location of the slave struct is known, the address, regionSize and subregions of the configuration struct are not applicable.</para><para>Note that only the user/privileged write permissions are configurable. The read and execute permissions are read-only and cannot be configured.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for CPUSS ver_1 only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The register base address of the protection struct being configured.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Initialization structure with all the protection attributes.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;PPU SL master struct was successfully configured. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The resource is locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_BAD_PARAM &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An incorrect/invalid parameter was passed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function was called on the device with an unsupported PERI HW version. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />A<sp />bus<sp />master<sp />must<sp />not<sp />be<sp />able<sp />to<sp />access<sp />the<sp />PERI_GR_PPU_SL_CRYPTO</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />master<sp />and<sp />slave<sp />structs<sp />unless<sp />operating<sp />with<sp />PC=0,<sp />"secure"<sp />and</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"privileged"<sp />access<sp />settings.<sp />The<sp />PERI_GR_PPU_SL_CRYPTO<sp />slave<sp />struct</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />is<sp /><sp />already<sp />configured<sp />and<sp />enabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ppu__sl__cfg__t">cy_stc_ppu_sl_cfg_t</ref><sp />slPpuCfg_m<sp />=<sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.userPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aad6e3850fb76be4bd78240a4fc284985">CY_PROT_PERM_R</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Read<sp />access<sp />always<sp />available<sp />for<sp />Master<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.privPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aa7d757bf3cedd4f675b65d3ed642d315">CY_PROT_PERM_RW</ref>,<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp /><sp />Allow<sp />read<sp />and<sp />write<sp />privileged<sp />mode<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.secure<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Only<sp />allow<sp />"secure"<sp />bus<sp />masters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMatch<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Perform<sp />access<sp />evaluation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMask<sp />=*/</highlight><highlight class="normal"><sp />(uint16_t)0UL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Only<sp />allow<sp />PC=0<sp />bus<sp />masters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />the<sp />master<sp />struct<sp />of<sp />PPU<sp />Slave<sp />(SL)<sp />governing<sp />the<sp />Crypto<sp />registers<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__ppu__sl_1ga78e1c5ed40456fede9e3babe88325239">Cy_Prot_ConfigPpuFixedSlMasterStruct</ref>(PERI_GR_PPU_SL_CRYPTO,<sp />&amp;slPpuCfg_m))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />master<sp />struct<sp />of<sp />PPU<sp />Slave<sp />(SL)<sp />governing<sp />the<sp />Crypto<sp />registers<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__ppu__sl_1gaed75641e9bbac0b7cdbfff3b8c0ab1a9">Cy_Prot_EnablePpuFixedSlMasterStruct</ref>(PERI_GR_PPU_SL_CRYPTO))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2174" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="2135" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="1055" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__ppu__sl_1ga73a96c4b2b9dcc91b7b74bd61d44f204" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_ConfigPpuFixedSlSlaveStruct</definition>
        <argsstring>(PERI_GR_PPU_SL_Type *base, const cy_stc_ppu_sl_cfg_t *config)</argsstring>
        <name>Cy_Prot_ConfigPpuFixedSlSlaveStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type">PERI_GR_PPU_SL_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ppu__sl__cfg__t">cy_stc_ppu_sl_cfg_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Configures a Fixed Peripheral Slave Protection Unit (PPU SL) slave protection struct with its protection attributes. </para>        </briefdescription>
        <detaileddescription>
<para>This function configures the slave struct of a PPU SL pair, which can protect an entire peripheral slave instance from invalid bus master accesses. For example, TCPWM0, TCPWM1, SCB0 and SCB1 etc.</para><para>Each fixed PPU SL is devoted to a defined peripheral slave. Hence the address, regionSize and subregions of the configuration struct are not applicable.</para><para>Note that the user/privileged execute accesses are read-only and are always enabled.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for CPUSS ver_1 only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The register base address of the protection structure being configured.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Initialization structure with all the protection attributes.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;PPU SL slave struct was successfully configured. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The resource is locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_BAD_PARAM &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An incorrect/invalid parameter was passed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function was called on the device with an unsupported PERI HW version. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />A<sp />bus<sp />master<sp />must<sp />not<sp />be<sp />able<sp />to<sp />access<sp />the<sp />Crypto<sp />registers<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(governed<sp />by<sp />a<sp />dedicated<sp />slave<sp />PPU)<sp />unless<sp />it<sp />has<sp />the<sp />"secure"</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />attribute<sp />and<sp />is<sp />operating<sp />in<sp />"privileged"<sp />mode<sp />at<sp />PC=0<sp />or<sp />PC=2.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ppu__sl__cfg__t">cy_stc_ppu_sl_cfg_t</ref><sp />slPpuCfg_s<sp />=<sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.userPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5a71e68b733a505b1241d49c8f62cbfb61">CY_PROT_PERM_DISABLED</ref>,</highlight><highlight class="comment">/*<sp />Disallow<sp />all<sp />user<sp />mode<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.privPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aa7d757bf3cedd4f675b65d3ed642d315">CY_PROT_PERM_RW</ref>,<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allow<sp />Read<sp />and<sp />Write<sp />privileged<sp />mode<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.secure<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Only<sp />allow<sp />"secure"<sp />bus<sp />masters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMatch<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Perform<sp />access<sp />evaluation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMask<sp />=*/</highlight><highlight class="normal"><sp />(uint16_t)<ref kindref="member" refid="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa0b17d740a164ae90f06a4ab2f17d79d0">CY_PROT_PCMASK2</ref><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allow<sp />PC=0<sp />and<sp />PC=2<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />the<sp />slave<sp />struct<sp />of<sp />PPU<sp />Slave<sp />(SL)<sp />governing<sp />the<sp />Crypto<sp />registers<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__ppu__sl_1ga73a96c4b2b9dcc91b7b74bd61d44f204">Cy_Prot_ConfigPpuFixedSlSlaveStruct</ref>(PERI_GR_PPU_SL_CRYPTO,<sp />&amp;slPpuCfg_s))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />slave<sp />struct<sp />of<sp />PPU<sp />Slave<sp />(SL)<sp />governing<sp />the<sp />Crypto<sp />registers<sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__ppu__sl_1ga283240a335f3616579ccd5a40c3e3b59">Cy_Prot_EnablePpuFixedSlSlaveStruct</ref>(PERI_GR_PPU_SL_CRYPTO))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2255" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="2216" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="1056" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__ppu__sl_1gaed75641e9bbac0b7cdbfff3b8c0ab1a9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_EnablePpuFixedSlMasterStruct</definition>
        <argsstring>(PERI_GR_PPU_SL_Type *base)</argsstring>
        <name>Cy_Prot_EnablePpuFixedSlMasterStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type">PERI_GR_PPU_SL_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the Master PPU SL structure. </para>        </briefdescription>
        <detaileddescription>
<para>This is a PPU SL master struct enable function. The PPU SL protection settings will take effect after successful completion of this function call.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for CPUSS ver_1 only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the protection unit structure being configured.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master PU struct was enabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master PU struct is disabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function was called on the device with an unsupported PERI HW version. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />master<sp />struct<sp />of<sp />PERI_GR_PPU_SL_CRYPTO<sp />is<sp />configured<sp />to<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />protect<sp />its<sp />slave<sp />struct<sp />and<sp />needs<sp />to<sp />be<sp />enabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__ppu__sl_1gaed75641e9bbac0b7cdbfff3b8c0ab1a9">Cy_Prot_EnablePpuFixedSlMasterStruct</ref>(PERI_GR_PPU_SL_CRYPTO))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2299" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="2285" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="1057" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__ppu__sl_1ga5b155d14538598f8f058709d79028b8a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_DisablePpuFixedSlMasterStruct</definition>
        <argsstring>(PERI_GR_PPU_SL_Type *base)</argsstring>
        <name>Cy_Prot_DisablePpuFixedSlMasterStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type">PERI_GR_PPU_SL_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the Master PPU SL structure. </para>        </briefdescription>
        <detaileddescription>
<para>This is a PPU SL master struct disable function. The PPU SL protection settings will seize to take effect after successful completion of this function call.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for CPUSS ver_1 only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the protection unit structure being configured.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master PU struct was disabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master PU struct is enabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function was called on the device with an unsupported PERI HW version. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />master<sp />struct<sp />of<sp />PERI_GR_PPU_SL_CRYPTO<sp />needs<sp />to<sp />be<sp />disabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Or<sp />it<sp />needs<sp />to<sp />be<sp />reconfigured<sp />and<sp />hence<sp />must<sp />first<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__ppu__sl_1ga5b155d14538598f8f058709d79028b8a">Cy_Prot_DisablePpuFixedSlMasterStruct</ref>(PERI_GR_PPU_SL_CRYPTO))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2344" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="2330" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="1058" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__ppu__sl_1ga283240a335f3616579ccd5a40c3e3b59" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_EnablePpuFixedSlSlaveStruct</definition>
        <argsstring>(PERI_GR_PPU_SL_Type *base)</argsstring>
        <name>Cy_Prot_EnablePpuFixedSlSlaveStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type">PERI_GR_PPU_SL_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the Slave PPU SL structure. </para>        </briefdescription>
        <detaileddescription>
<para>This is a PPU SL slave struct enable function. The PPU SL protection settings will take effect after successful completion of this function call.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for CPUSS ver_1 only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the protection unit structure being configured.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct was enabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct is disabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function was called on the device with an unsupported PERI HW version. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />slave<sp />struct<sp />of<sp />PERI_GR_PPU_SL_CRYPTO<sp />is<sp />configured<sp />to<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />protect<sp />the<sp />Crypto<sp />registers<sp />and<sp />needs<sp />to<sp />be<sp />enabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__ppu__sl_1ga283240a335f3616579ccd5a40c3e3b59">Cy_Prot_EnablePpuFixedSlSlaveStruct</ref>(PERI_GR_PPU_SL_CRYPTO))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2388" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="2374" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="1059" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__ppu__sl_1ga34a93df0e83375f05f606e351bf509d3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_DisablePpuFixedSlSlaveStruct</definition>
        <argsstring>(PERI_GR_PPU_SL_Type *base)</argsstring>
        <name>Cy_Prot_DisablePpuFixedSlSlaveStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_e_r_i___g_r___p_p_u___s_l___type">PERI_GR_PPU_SL_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the Slave PPU SL structure. </para>        </briefdescription>
        <detaileddescription>
<para>This is a PPU SL slave struct disable function. The PPU SL protection settings will seize to take effect after successful completion of this function call.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for CPUSS ver_1 only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the protection unit structure being configured.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct was enabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct is disabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function was called on the device with an unsupported PERI HW version. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />slave<sp />struct<sp />of<sp />PERI_GR_PPU_SL_CRYPTO<sp />needs<sp />to<sp />be<sp />disabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Or<sp />it<sp />needs<sp />to<sp />be<sp />reconfigured<sp />and<sp />hence<sp />must<sp />first<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__ppu__sl_1ga34a93df0e83375f05f606e351bf509d3">Cy_Prot_DisablePpuFixedSlSlaveStruct</ref>(PERI_GR_PPU_SL_CRYPTO))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2433" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="2419" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="1060" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>